View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000653Ecere SDKcompilerpublic2011-10-12 19:312013-09-30 09:00
Reporterjerome 
Assigned Tojerome 
PriorityurgentSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000653: Map with generic type fails to instantiate when no space between the two generic definitions (>>)
DescriptionThis works fine:

Map<ContextStringPair, List<Location> >

We are supposed to be handling this kind of things in the grammar for strict_type with this rule using RIGHT_OP:

    | base_strict_type '<' template_arguments_list RIGHT_OP

(It's in both grammar.y and type.y)
Steps To ReproduceMap<ContextStringPair, List<Location>> intlStrings { };
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001077)
jerome (administrator)
2013-09-22 20:56
edited on: 2013-09-22 20:58

Right now the problem is ast.sym not being generated properly with >>

No import "ecere" is causing this

class List;

prevents the problem from happening

(0001098)
jerome (administrator)
2013-09-30 09:00

Fixed by:
https://github.com/ecere/ecere-sdk/commit/f220551985b59ea4fc1646c44cfe703e1cee810b [^]

- Issue History
Date Modified Username Field Change
2011-10-12 19:31 jerome New Issue
2012-03-08 15:59 redj Target Version old 0.44.pre3 => 0.45 Ginkakuji
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2013-09-22 20:43 jerome Assigned To => jerome
2013-09-22 20:43 jerome Status new => assigned
2013-09-22 20:43 jerome Target Version 0.45 Ginkakuji => 0.44.10 64
2013-09-22 20:56 jerome Note Added: 0001077
2013-09-22 20:58 jerome Note Edited: 0001077
2013-09-30 09:00 jerome Status assigned => closed
2013-09-30 09:00 jerome Note Added: 0001098
2013-09-30 09:00 jerome Resolution open => fixed
2013-09-30 09:00 jerome Fixed in Version => 0.44.10 64



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker